package cc.winboll.studio.winboll.activities;

/**
 * @Author ZhanGSKen<zhangsken@qq.com>
 * @Date 2025/03/25 11:46:40
 * @Describe 测试窗口2
 */
import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Toolbar;
import cc.winboll.studio.winboll.R;

public class New2Activity extends WinBoLLActivity {

    public static final String TAG = "New2Activity";

    Toolbar mToolbar;
    //LogView mLogView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_new2);

//        mLogView = findViewById(R.id.logview);
//        mLogView.start();
        mToolbar = findViewById(R.id.toolbar);
        setActionBar(mToolbar);
        
    }

    @Override
    protected void onResume() {
        super.onResume();
        //mLogView.start();
    }

    public void onCloseThisActivity(View view) {
        //WinBoLLActivityManager.getInstance().finish(this);
    }

    public void onCloseAllActivity(View view) {
        //WinBoLLActivityManager.getInstance().finishAll();
    }

    public void onNewActivity(View view) {
        //WinBoLLActivityManager.getInstance().startWinBoLLActivity(this, NewActivity.class);
    }
    

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        //getMenuInflater().inflate(R.menu.toolbar_main, menu);
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // 在switch语句中处理每个ID，并在处理完后返回true，未处理的情况返回false。
        return super.onOptionsItemSelected(item);
    }
}
